1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Upgrade Error from 9.5.2 to 10.0.1

Discussion in 'Plesk 10.x for Windows Issues, Fixes, How-To' started by DouglasT, Nov 10, 2010.

  1. DouglasT

    DouglasT Guest

    0
     
    Hi web upgrade client says:

    Starting installation of packages
    upgrading MySQL server...
    Unexpected error
    Error: Some action sequence of package 'mysql-client' has been failed with code -1
    Not all packages were installed.
    Please, contact product technical support.

    Error log says:

    Installation started in background
    Determining the packages that need to be installed.

    Getting packages to installation list:
    skip package 'upgrade-assist-10.0.0.0.noarch' from component base - there is same or newer version of this package is installed (in system upgrade-assist-10.0.0.0.noarch)
    skip package 'mysql-4.1.22.noarch' from component base - there is same or newer version of this package is installed (in system mysql-4.1.22.noarch)
    skip package 'plesk-10.0.1.noarch' from component base - there is same or newer version of this package is installed (in system plesk-10.0.1.noarch)
    skip package 'panel-10.0.1.noarch' from component base - there is same or newer version of this package is installed (in system panel-10.0.1.noarch)
    skip package 'plesk-skins-10.0.1.noarch' from component base - there is same or newer version of this package is installed (in system plesk-skins-10.0.1.noarch)
    skip package 'plesk-backup-10.0.1.noarch' from component base - there is same or newer version of this package is installed (in system plesk-backup-10.0.1.noarch)
    skip package 'plesk-engine-10.0.0.noarch' from component base - there is same or newer version of this package is installed (in system plesk-engine-10.0.0.noarch)
    skip package 'spaw-10.0.0.noarch' from component base - there is same or newer version of this package is installed (in system spaw-10.0.0.noarch)
    skip package 'sql-dmo-10.0.0.noarch' from component base - there is same or newer version of this package is installed (in system sql-dmo-10.0.0.noarch)
    skip keypackage 'panel-10.0.1.noarch' from component base - there is same or newer version of this package is installed (in system panel-10.0.1.noarch)
    Following packages will be installed: billing-7.0.1.noarch sso-2.4.0.noarch
    ----------------
    Add packages with unresolved deps to blacklist
    PkgManager: start to resolving packages
    findNecessaryPackages(): start pass 0
    Find directly required packages for billing-7.0.1.noarch
    Find directly required packages for sso-2.4.0.noarch
    Find directly required packages for mysql-client-5.1.48.noarch
    === Package resolving sucessfuly ends ===
    (b) billing.msi
    (b) sso.msi
    (s) plesk-10.0.1
    (b) mysql-client.msi
    Check package set before installation
    The following packages will be installed because they are required by the packages you selected for installation: 'mysql-client'
    The following packages will be installed because they are required by the packages you selected for installation: 'mysql-client'
    The following components will be installed because they are required by the components you selected: 'mysql-client'
    FileFetcher: get file (BILLING-WIN_7.0.1/dist-msi-Microsoft-2003-i386/)/billing.msi
    File downloading BILLING-WIN_7.0.1/dist-msi-Microsoft-2003-i386/billing.msi: was skipped because of md5 checksum match.
    FileFetcher: get file (BILLING-WIN_7.0.1/dist-msi-Microsoft-2003-i386/)/sso.msi
    File downloading BILLING-WIN_7.0.1/dist-msi-Microsoft-2003-i386/sso.msi: was skipped because of md5 checksum match.
    FileFetcher: get file (PANEL-WIN_10.0.1/dist-msi-Microsoft-2003-i386/)/mysql-client.msi
    File downloading PANEL-WIN_10.0.1/dist-msi-Microsoft-2003-i386/mysql-client.msi: was skipped because of md5 checksum match.
    Starting installation of packages
    Create tiny repository only with resolved list and system packages
    Regenerate packages provides cache.
    Find directly required packages for billing-7.0.1.noarch
    (regen conflicts cache) (update package names cache) (regen obsoletes cache) Find directly required packages for mysql-client-5.1.48.noarch
    upgrading MySQL server...
    Launch installation 'C:\0439f1f4013e8734b97766999193f299\parallels\PANEL-WIN_10.0.1\dist-msi-Microsoft-2003-i386\mysql-client.msi' with command-line 'ADDLOCAL=ALL PORT=3306 INSTALLDIR="C:\Program Files (x86)\Parallels\Plesk\\Databases\MySQL\" DATADIR="C:\Program Files (x86)\Parallels\Plesk\\Databases\MySQL\Data" ALLUSERS=1 ARPSYSTEMCOMPONENT=1 REBOOT=R'
    MSI: Action 23:10:37: INSTALL.
    MSI: Action 23:10:37: AppSearch. Searching for installed applications
    Property: INSTALLDIR_
    Signature: InstallDirRegSearch
    Property: DATADIR_
    Signature: DataDirRegSearch
    Property: SVRCNFWIZINSTALLED
    Signature: SvrCnfWizCompSearch
    Property: EXISTINGDATADIRSEARCH
    Signature: ExistingDataDirCompSearch
    MSI: Action 23:10:37: FindRelatedProducts. Searching for related applications
    Found application: {BF7B0C91-5AF6-46B7-91CE-C8DD3D36E4BD}
    Found application: {64628359-08CA-4756-9B0F-C802CA10A621}
    MSI: Action 23:10:37: NewerVersionInstalled.
    MSI: Error! A newer version of this product is already installed.
    Unexpected error
    Error: Some action sequence of package 'mysql-client' has been failed with code -1
    Not all packages were installed.
    Please, contact product technical support.
     
  2. Martin Zim

    Martin Zim Guest

    0
     
    Hello

    I've the same error.
    Issues with the PHP installation.

    Any users have the same Problem. Can Parallels solve this problem please

    My Server: HP DL180 with Windows Server 2008 R2 Webedition, Smartermail, MS SQL 2010 and My SQL, IIS 7 and MS DNS Server


    Any ideas?
     
    Last edited by a moderator: Nov 10, 2010
  3. DouglasT

    DouglasT Guest

    0
     
    I would uninstall mysql and install 10 from scratch, but that would mean destroying my client DB and the plesk config.

    Hellooooooo parallels.....
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
    Do you have MySQL 5.2 installed on the server? Or which version is installed? Did you install any version manually?
     
  5. Lofas

    Lofas New Pleskian

    22
    23%
    Joined:
    Aug 4, 2008
    Messages:
    7
    Likes Received:
    0
    I think that he must hawe the 5.2.x version of MySQL, so do I, but I hawe the same problem to upgrade from 9.3.0 to 10.0.1 version:

    http://www.vizual.si/parallels-installation-log.txt
     
  6. DouglasT

    DouglasT Guest

    0
     
    All I have is what the clean install of Plesk 9.5 put there - so obviously yes I already have mysql.

    But no I did not install anything manually - and I dont particularly want to uninstall anything manually as then my plesk system breaks and my clients get upset ;)
     
  7. CraigD

    CraigD New Pleskian

    20
     
    Joined:
    Jan 5, 2010
    Messages:
    13
    Likes Received:
    0
    We had the same issue and it kept escalating with Plesk support. After a week of being out of service we did a fresh install and manually re-setup the accounts and copied the data over.
     
  8. Lofas

    Lofas New Pleskian

    22
    23%
    Joined:
    Aug 4, 2008
    Messages:
    7
    Likes Received:
    0
    This is not ok.... I must figure out some other way, Migration was not ok, but I will try the simulation again.
     
  9. ZoranV

    ZoranV Guest

    0
     
    Same error while upgrading to 10.0.1

    MySQL won't upgrade ...
    # Atmail it's not upgraded...
    # ASP.NET Enterprise Manager it's not upgraded...

    Following it's not installed at all...
    # Horde webmail
    # Parallels Premium Anti-Virus
    # Kaspersky anti-virus
    # Parallels Panel Migration Manager
    # Parallels Panel SSL Wrapper
    # Apache Tomcat Java server
    # System Health Monitor
    # SiteBuilder

    Now I regret that i've upgrade to Plesk 10, it's not worth the time which will I loose now just to fix, or revert to previous version.

    Parallels should not release software which is impossible to uninstall.

    If the solution is not offered soon, thinking of transferring to Encompass (Cpanel for windows)
     
  10. DouglasT

    DouglasT Guest

    0
     
    Still waiting

    Its been months, and no response from plesk other than "looks like you php is broken".

    Which its not...

    How do I go about rebuilding? Will a full server backup (as run in the control panel) take client databases with it, as well as plesk config?
     
Loading...